# Uses of Class
org.xnio.channels.FixedLengthStreamSourceChannel

Packages that use FixedLengthStreamSourceChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of FixedLengthStreamSourceChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type FixedLengthStreamSourceChannel
Modifier and Type
Method
Description
`ChannelListener<? super FixedLengthStreamSourceChannel>`
FixedLengthStreamSourceChannel.`getCloseListener()`
`ChannelListener.Setter<FixedLengthStreamSourceChannel>`
FixedLengthStreamSourceChannel.`getCloseSetter()`
`ChannelListener<? super FixedLengthStreamSourceChannel>`
FixedLengthStreamSourceChannel.`getReadListener()`
`ChannelListener.Setter<FixedLengthStreamSourceChannel>`
FixedLengthStreamSourceChannel.`getReadSetter()`
Method parameters in org.xnio.channels with type arguments of type FixedLengthStreamSourceChannel
Modifier and Type
Method
Description
`void`
FixedLengthStreamSourceChannel.`setCloseListener(ChannelListener<? super FixedLengthStreamSourceChannel> closeListener)`
`void`
FixedLengthStreamSourceChannel.`setReadListener(ChannelListener<? super FixedLengthStreamSourceChannel> readListener)`
Constructor parameters in org.xnio.channels with type arguments of type FixedLengthStreamSourceChannel
Modifier
Constructor
Description
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, boolean configurable, boolean propagateClose, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, boolean configurable, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.
``
`FixedLengthStreamSourceChannel(StreamSourceChannel delegate, long contentLength, ChannelListener<? super FixedLengthStreamSourceChannel> finishListener, Object guard)`
Construct a new instance.